#include <xvt.h>

#include <checks.h>

#include "ba2.h"

#define usage "Error - usage : %s -[0,1,2,3,4]"

int main(int argc, char** argv)
{
  int rt = 0 ;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;
  
  switch (r)
  {
  case 0:
    rt = ba2100(argc, argv); break;
  case 1:  
    rt = ba2200(argc, argv); break;
#if XVT_OS == XVT_OS_SCOUNIX    
  case 2:
    rt = ba2300(argc, argv) ; break;
#endif    
  case 3:
    rt = ba2400(argc, argv) ; break;
  case 4:
    rt = ba2500(argc, argv) ; break;
  default:
    error_box(usage, argv[0]) ; rt = 1; break;                  
  }
  return rt;
}
